{ *************************************************************************** }
{                                                                             }
{ Kylix and Delphi Cross-Platform Visual Component Library                    }
{                                                                             }
{ Copyright (c) 1997, 2001 Borland Software Corporation                       }
{ Copyright (c) 2002 Traduction to PT-BR by Valtoni Boaventura                }
{                                                                             }
{ *************************************************************************** }


unit DBConsts;

interface

resourcestring
  SInvalidFieldSize = 'Tamanho de campo invlido';
  SInvalidFieldKind = 'Tipo de campo invlido';
  SInvalidFieldRegistration = 'Registro de campo invlido';
  SUnknownFieldType = 'O arquivo ''%s''  de um tipo desconhecido';
  SFieldNameMissing = 'Nome de campo perdido';
  SDuplicateFieldName = 'Nome de campo duplicado ''%s''';
  SFieldNotFound = 'O campo ''%s'' no foi encontrado';
  SFieldAccessError = 'Impossvel acessar o campo ''%s'' com o tipo %s';
  SFieldValueError = 'Valor invlido para o campo ''%s''';
  SFieldRangeError = '%g no  um valor vlido para o campo ''%s''. A faixa permitida  de %g at %g';
  SBcdFieldRangeError = '%s no  um valor vlido para o campo ''%s''. A faixa permitida  de %s at %s';
  SInvalidIntegerValue = '''%s'' no  um valor vlido para o campo ''%s''';
  SInvalidBoolValue = '''%s'' no  um valor booleano vlido para o campo ''%s''';
  SInvalidFloatValue = '''%s'' no  um valor vlido de ponto flutuante para o campo ''%s''';
  SFieldTypeMismatch = 'Tipo incorreto para o campo ''%s'', esperando: %s atual: %s';
  SFieldSizeMismatch = 'Tamanho incorreto para o campo ''%s'', esperando: %d atual: %d';
  SInvalidVarByteArray = 'Tipo ou tamnho de variante invlido para o campo ''%s''';
  SFieldOutOfRange = 'O valor do campo ''%s'' est fora da faixa';
//  SBCDOverflow = '(Overflow)';
  SFieldRequired = 'O campo ''%s'' deve ter um valor';
  SDataSetMissing = 'O campo ''%s'' no tem dataset';
  SInvalidCalcType = 'O campo ''%s'' no pode ser calculado ou campo de lookup';
  SFieldReadOnly = 'O campo ''%s'' no pode ser modificado';
  SFieldIndexError = 'O ndice do campo est fora da faixa';
  SNoFieldIndexes = 'No h ndice corrente ativo';
  SNotIndexField = 'O campo ''%s'' no est indexado e no pode ser modificado';
  SIndexFieldMissing = 'Impossvel acessar o ndice do campo ''%s''';
  SDuplicateIndexName = 'Nome de ndice duplicado ''%s''';
  SNoIndexForFields = 'Sem ndice para os campos ''%s''';
  SIndexNotFound = 'O ndice ''%s'' no foi encontrado';
  SDuplicateName = 'Nome duplicado ''%s'' em %s';
  SCircularDataLink = 'Links de dados circulares no so permitidos';
  SLookupInfoError = 'A informao de Lookup para o campo ''%s'' est incompleta';
  SNewLookupFieldCaption = 'Novo campo lookup';
  SDataSourceChange = 'O DataSource no pode ser modificado';
  SNoNestedMasterSource = 'Datasets aninhados no podem ter um MasterSource';
  SDataSetOpen = 'Impossvel executar essa operao em um dataset aberto';
  SNotEditing = 'O dataset no est no modo de edio ou insero';
  SDataSetClosed = 'Impossvel executar essa operao em um dataset fechado';
  SDataSetEmpty = 'Impossvel executar essa operao em um dataset vazio';
  SDataSetReadOnly = 'Impossvel modificar um dataset somente leitura';
  SNestedDataSetClass = 'Datasets aninhados devem herdar de %s';
  SExprTermination = 'Expresso de filtro terminada incorretamente';
  SExprNameError = 'Nome de campo no terminado';
  SExprStringError = 'Constante de string no terminada';
  SExprInvalidChar = 'Caracter de expresso de filtro invlido : ''%s''';
  SExprNoLParen = '''('' esperado, porm %s foi encontrado';
  SExprNoRParen = ''')'' esperado, porm %s foi encontrado';
  SExprNoRParenOrComma = ''')'' ou '','' esperado, porm %s foi encontrado';
  SExprExpected = 'Expresso esperada, porm %s foi encontrado';
  SExprBadField = 'O campo ''%s'' no pode ser usado em uma expresso de filtro';
  SExprBadNullTest = 'NULL somente  permitido com ''='' e ''<>''';
  SExprRangeError = 'Constante fora da faixa';
  SExprNotBoolean = 'Field ''%s'' is not of type Boolean';
  SExprIncorrect = 'Expresso de filtro formada incorretamente';
  SExprNothing = 'nada';
  SExprTypeMis = 'Tipo incorreto na expresso';
  SExprBadScope = 'A operao no pode envolver valores agregados com valores de registro-variante';
  SExprNoArith = 'Aritmtica em expresses de filtro no  suportada';
  SExprNotAgg = 'A expresso no pode ser um expresso agregada';
  SExprBadConst = 'A constante no  do tipo correto %s';
  SExprNoAggFilter = 'Expresses agregadas no so permitidas em filtros';
  SExprEmptyInList = 'A lista de predicado IN no devem estar vazias';
  SInvalidKeywordUse = 'Uso invlido da palavra chave';
  STextFalse = 'Falso';
  STextTrue = 'Verdadeiro';
  SParameterNotFound = 'Parmetro ''%s'' no foi encontrado';
  SInvalidVersion = 'Impossvel carregar parmetros "bind"';
  SParamTooBig = 'Parmetro ''%s'', no pode armazenar dados maiores que %d bytes';
  SBadFieldType = 'O campo ''%s''  de um tipo no suportado';
  SAggActive = 'Propriedade no pode ser modificada enquanto um agregado estive ativo';
  SProviderSQLNotSupported = 'SQL no suportada: %s';
  SProviderExecuteNotSupported = 'Execuo no suportada: %s';
  SExprNoAggOnCalcs = 'O campo ''%s'' no  do tipo correto de campo calculado para ser usado em um agregado, use um internalcalc';
  SRecordChanged = 'Registro no encontrado ou modificado por outro usurio';
  SDataSetUnidirectional = 'Operao no permitida em um dataset unidirecional';
  SUnassignedVar = 'Valor variante no assimilado';
  SRecordNotFound = 'O registro no foi encontrado';
  SFileNameBlank = 'A propriedade "FileName" no pode estar vazia';

{ For FMTBcd }

  SBcdOverflow = 'Estouro de BCD';
  SInvalidBcdValue = '%s no  um valor BCD vlido';
  SInvalidFormatType = 'Tipo de formato invlido para BCD';

{ For SqlTimSt }

  SCouldNotParseTimeStamp = 'Impossvel definir a string SQL de TimeStamp';
  SInvalidSqlTimeStamp = 'Valores de SQL data/hora invlidos';

  SDeleteRecordQuestion = 'Apagar registro?';
  SDeleteMultipleRecordsQuestion = 'Apagar todos os registros selecionados?';
  STooManyColumns = 'A grid foi requerida para mostrar mais que 256 colunas';

implementation

end.
